Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® PlayBook™

Reply
Contributor
Crysler3027
Posts: 12
Registered: ‎01-31-2013
My Device: Playbook 4G LTE

4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

Bell no longer sells the 4G LTE playbook.

http://www.bell.ca/Mobility/Products/BlackBerry-PlayBook-4G-LTE

 

Bell has not approved a software update beyond 2.0.1.668......currently at 2.1.0.1314 to others


Print to Go does not work with 2.0.1.668....Rim advises don't use it then.

 

4G LTE video conf not available for 2.0.1.668....Bell aware and does not intend to update to 2.1 which has been out since November 2012

 

As Bell no longer sells the 4G LTE playbook, does anyone expect an upgrade to BB10 ?

Please use plain text.
Forums Veteran I
Lost_at_Sea
Posts: 1,923
Registered: ‎11-28-2011
My Device: PlayBook 64 GB & Torch 9860

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

I don't have a 4G LTE but I think it runs on 4G or WiFi. Is this correct?
If you can run it on wifi, can you upgrade it on wifi ? Have you contacted RIM regarding this problem with Bell?
Please use plain text.
Forums Veteran I
Lost_at_Sea
Posts: 1,923
Registered: ‎11-28-2011
My Device: PlayBook 64 GB & Torch 9860

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

You should return the PlayBook to Bell and demand your money back. Your unit is not that old. If you can't get any satisfaction from Bell, you may be able to switch carriers or Complain to the CRTC. They have a website where you can post your problem.
Please use plain text.
Contributor
Crysler3027
Posts: 12
Registered: ‎01-31-2013
My Device: Playbook 4G LTE

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

You can not update on 4G, LTE, WIFI or Desktop.

The 4G LTE is different than the wifi only  versions as it is the "playbook 2"

Yes, many many hours spent with both of them, who do not talk to each other.

 

Bell and RIM(BLACKBERRY) do not talk with each other.

 

Rim tells you to go to Bell, and Bell tells you to go to Rim.

 

Rim says Bell is control of all software upgrades, Bell says we no longer sell Playbook and no future software updates are comming any time soon.

 

So that means SOL until ???

Please use plain text.
Forums Veteran I
Lost_at_Sea
Posts: 1,923
Registered: ‎11-28-2011
My Device: PlayBook 64 GB & Torch 9860

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

RIM is correct. Bell is the responsible? party in this case. See my second response above regarding the CRTC. At least you can let off some steam.
Do these playbooks have similar cards? Can they be switched to another carrier such as Primus Wireless?.
Please use plain text.
Contributor
Crysler3027
Posts: 12
Registered: ‎01-31-2013
My Device: Playbook 4G LTE

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

Primus uses Rogers.

Its a Bell playbook, so maybe Virgin mobile?

The CRTC is useless, especially on data plans.

Thanks though

Please use plain text.
Forums Veteran I
Lost_at_Sea
Posts: 1,923
Registered: ‎11-28-2011
My Device: PlayBook 64 GB & Torch 9860

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

I had a Virgin Cell phone but most of the time I was unable to access the Bell Tower where I needed it the most. So I unlocked it and went with Primus Wireless using the Rogers System. I had much better coverage with Primus, that is why I suggested them.
Please use plain text.
Contributor
Crysler3027
Posts: 12
Registered: ‎01-31-2013
My Device: Playbook 4G LTE

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

OK then.

 

The fact is that RIM needs to update the playbook with/without BELLS approval so that PrintTOGo works.

Other apps are not running right also, including email.

4G LTE video conferencing would be helpful, but screw BELL if they don't want my DATA usage.

Abviously Bell is not a loyal provider, but RIM still needs to get the updates out.

I don't care how they do it, just do it.

 

Please use plain text.
Forums Veteran I
Lost_at_Sea
Posts: 1,923
Registered: ‎11-28-2011
My Device: PlayBook 64 GB & Torch 9860

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

You are right about the CRTC. If you irritate Bell long enough and hard enough, don't give up or back down, eventually you will get your money back. Keep going up the ladder, ask to talk to a Manager. Keep going higher, write down their names and call them repeatedly. I have in the past and it works. Hell will freeze over before I deal with them again!
Please use plain text.
Forums Veteran I
jarviser
Posts: 1,625
Registered: ‎02-28-2012
My Device: Two PB's

Re: 4G LTE no longer being sold by BELL and software not approved beyond 2.0.1.668

Currently any 4G/3G+/LTE Playbook without a supporting contract from a provider will not gat an update from Blackberry (Formerly known as RIM)  

Blackberry have a list of PIN numbers and Providers. If your PIN has a blank against it on their list you are in trouble. 

 

According to one Blackberry employee (reported on here last week) - there's no workaround currently.

 

 I agree - Get your money back!

_________________________
Please use plain text.